Downgrade 2.0

Discussion in 'iPod touch Firmware 2.X' started by will52393, Jul 12, 2008.

  1. will52393

    will52393 New Member

    Joined:
    Jan 11, 2008
    Messages:
    21
    Likes Received:
    0
    Device:
    iPhone 3G (Black)
    for some reason i cant downgrade 2.0 to 1.1.4

    can some one help me out?
  2. 101gfx

    101gfx New Member

    Joined:
    Jun 6, 2008
    Messages:
    349
    Likes Received:
    0
    Device:
    iPod touch
    you need itunes 7.5 I think
  3. Infernal

    Infernal New Member

    Joined:
    Nov 23, 2007
    Messages:
    196
    Likes Received:
    0

Share This Page